io.vertx.reactivex.pgclient

## Class PgPool

- java.lang.Object
- - io.vertx.reactivex.sqlclient.SqlClient
  - - io.vertx.reactivex.sqlclient.Pool
    - - io.vertx.reactivex.pgclient.PgPool

-     public class PgPool
      extends Pool

  A pool of PostgreSQL connections.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<PgPool>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgPool(PgPool delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `PgPool` | `getDelegate()`
    `int` | `hashCode()`
    `static PgPool` | `newInstance(PgPool arg)`
    `static PgPool` | `pool()` Like `pool()` with a default `poolOptions`.
    `static PgPool` | `pool(PgConnectOptions connectOptions, io.vertx.sqlclient.PoolOptions poolOptions)` Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
    `static PgPool` | `pool(io.vertx.sqlclient.PoolOptions poolOptions)` Like `pool()` with `connectOptions` build from the environment variables.
    `static PgPool` | `pool(String connectionUri)` Like `pool()` with a default `poolOptions`.
    `static PgPool` | `pool(String connectionUri, io.vertx.sqlclient.PoolOptions poolOptions)` Like `pool()` with `connectOptions` build from `connectionUri`.
    `static PgPool` | `pool(Vertx vertx, PgConnectOptions connectOptions, io.vertx.sqlclient.PoolOptions poolOptions)` Like `pool()` with a specific instance.
    `static PgPool` | `pool(Vertx vertx, io.vertx.sqlclient.PoolOptions poolOptions)` Like `pool()` with `connectOptions` build from the environment variables.
    `static PgPool` | `pool(Vertx vertx, String connectionUri)` Like `pool()` with a default `poolOptions`.
    `static PgPool` | `pool(Vertx vertx, String connectionUri, io.vertx.sqlclient.PoolOptions poolOptions)` Like `pool()` with `connectOptions` build from `connectionUri`.
    `PgPool` | `preparedBatch(String sql, List<Tuple> batch, Handler<AsyncResult<RowSet>> handler)` Prepare and execute a createBatch.
    `PgPool` | `preparedQuery(String sql, Handler<AsyncResult<RowSet>> handler)` Prepare and execute a query.
    `PgPool` | `preparedQuery(String sql, Tuple arguments, Handler<AsyncResult<RowSet>> handler)` Prepare and execute a query.
    `PgPool` | `query(String sql, Handler<AsyncResult<RowSet>> handler)` Execute a simple query.
    `Single<RowSet>` | `rxPreparedBatch(String sql, List<Tuple> batch)` Prepare and execute a createBatch.
    `Single<RowSet>` | `rxPreparedQuery(String sql)` Prepare and execute a query.
    `Single<RowSet>` | `rxPreparedQuery(String sql, Tuple arguments)` Prepare and execute a query.
    `Single<RowSet>` | `rxQuery(String sql)` Execute a simple query.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.Pool

      `begin, close, getConnection, newInstance, rxBegin, rxGetConnection`

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.SqlClient

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PgPool> __TYPE_ARG

  - ### Constructor Detail

    - #### PgPool

          public PgPool(PgPool delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Pool`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Pool`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Pool`

    - #### getDelegate

          public PgPool getDelegate()

      Overrides:
        `getDelegate` in class `Pool`

    - #### pool

          public static PgPool pool()

      Like `pool()` with a default `poolOptions`.
      Returns:

    - #### pool

          public static PgPool pool(io.vertx.sqlclient.PoolOptions poolOptions)

      Like `pool()` with `connectOptions` build from the environment variables.
      Parameters:
        `poolOptions` -
      Returns:

    - #### pool

          public static PgPool pool(String connectionUri)

      Like `pool()` with a default `poolOptions`.
      Parameters:
        `connectionUri` -
      Returns:

    - #### pool

          public static PgPool pool(String connectionUri,
                                    io.vertx.sqlclient.PoolOptions poolOptions)

      Like `pool()` with `connectOptions` build from `connectionUri`.
      Parameters:
        `connectionUri` -
        `poolOptions` -
      Returns:

    - #### pool

          public static PgPool pool(Vertx vertx,
                                    String connectionUri)

      Like `pool()` with a default `poolOptions`.
      Parameters:
        `vertx` -
        `connectionUri` -
      Returns:

    - #### pool

          public static PgPool pool(Vertx vertx,
                                    io.vertx.sqlclient.PoolOptions poolOptions)

      Like `pool()` with `connectOptions` build from the environment variables.
      Parameters:
        `vertx` -
        `poolOptions` -
      Returns:

    - #### pool

          public static PgPool pool(Vertx vertx,
                                    String connectionUri,
                                    io.vertx.sqlclient.PoolOptions poolOptions)

      Like `pool()` with `connectOptions` build from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
        `poolOptions` -
      Returns:

    - #### pool

          public static PgPool pool(PgConnectOptions connectOptions,
                                    io.vertx.sqlclient.PoolOptions poolOptions)

      Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
      Parameters:
        `connectOptions` -
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          public static PgPool pool(Vertx vertx,
                                    PgConnectOptions connectOptions,
                                    io.vertx.sqlclient.PoolOptions poolOptions)

      Like `pool()` with a specific instance.
      Parameters:
        `vertx` -
        `connectOptions` -
        `poolOptions` -
      Returns:

    - #### preparedQuery

          public PgPool preparedQuery(String sql,
                                      Handler<AsyncResult<RowSet>> handler)

      Description copied from class: `SqlClient`
      Prepare and execute a query.
      Overrides:
        `preparedQuery` in class `Pool`
      Parameters:
        `sql` - the prepared query SQL
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxPreparedQuery

          public Single<RowSet> rxPreparedQuery(String sql)

      Description copied from class: `SqlClient`
      Prepare and execute a query.
      Overrides:
        `rxPreparedQuery` in class `Pool`
      Parameters:
        `sql` - the prepared query SQL
      Returns:
        a reference to this, so the API can be used fluently

    - #### query

          public PgPool query(String sql,
                              Handler<AsyncResult<RowSet>> handler)

      Description copied from class: `SqlClient`
      Execute a simple query.
      Overrides:
        `query` in class `Pool`
      Parameters:
        `sql` - the query SQL
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxQuery

          public Single<RowSet> rxQuery(String sql)

      Description copied from class: `SqlClient`
      Execute a simple query.
      Overrides:
        `rxQuery` in class `Pool`
      Parameters:
        `sql` - the query SQL
      Returns:
        a reference to this, so the API can be used fluently

    - #### preparedQuery

          public PgPool preparedQuery(String sql,
                                      Tuple arguments,
                                      Handler<AsyncResult<RowSet>> handler)

      Description copied from class: `SqlClient`
      Prepare and execute a query.
      Overrides:
        `preparedQuery` in class `Pool`
      Parameters:
        `sql` - the prepared query SQL
        `arguments` - the list of arguments
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxPreparedQuery

          public Single<RowSet> rxPreparedQuery(String sql,
                                                Tuple arguments)

      Description copied from class: `SqlClient`
      Prepare and execute a query.
      Overrides:
        `rxPreparedQuery` in class `Pool`
      Parameters:
        `sql` - the prepared query SQL
        `arguments` - the list of arguments
      Returns:
        a reference to this, so the API can be used fluently

    - #### preparedBatch

          public PgPool preparedBatch(String sql,
                                      List<Tuple> batch,
                                      Handler<AsyncResult<RowSet>> handler)

      Description copied from class: `SqlClient`
      Prepare and execute a createBatch.
      Overrides:
        `preparedBatch` in class `Pool`
      Parameters:
        `sql` - the prepared query SQL
        `batch` - the batch of tuples
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxPreparedBatch

          public Single<RowSet> rxPreparedBatch(String sql,
                                                List<Tuple> batch)

      Description copied from class: `SqlClient`
      Prepare and execute a createBatch.
      Overrides:
        `rxPreparedBatch` in class `Pool`
      Parameters:
        `sql` - the prepared query SQL
        `batch` - the batch of tuples
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static PgPool newInstance(PgPool arg)

Copyright © 2019 Eclipse. All rights reserved.